/*
 * Created on 24/08/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 */
public class ExceptionAtividadeNaoLiberada extends Exception {

    //A atividade que no pode ser selecionada
    private Class classAtividade;
    
    public ExceptionAtividadeNaoLiberada(Class classAtividade){
        super();
        this.classAtividade = classAtividade;
    }
    
    public String toString(){
        return "A atividade " + classAtividade.getName() + " no pode ser selecionada.";
    }
    
    public Class getClassAtividade() {
        return this.classAtividade;
    }
}
