/*
 * Created on 24/08/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 */
public class ExceptionInclusaoPraticaNaoPermitida extends Exception {

	//A atividade que no permitiu a incluso
    private Class classPratica;
    
    public ExceptionInclusaoPraticaNaoPermitida(Class classAtividade){
        super();
        this.classPratica = classAtividade;
    }
    
    public String toString(){
        return "A prtica " + classPratica.getName() + " permite a incluso da prtica";
    }
    
    public Class getClassPratica() {
        return this.classPratica;
    }
}
