/*
 * Created on 24/08/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 */
public class ExceptionPraticaNaoLiberada extends Exception {

    //A atividade que no pode ser selecionada
    private Class classPratica;
    
    public ExceptionPraticaNaoLiberada(Class classAtividade){
        super();
        this.classPratica = classAtividade;
    }
    
    public String toString(){
        return "A prtica " + classPratica.getName() + " no pode ser selecionada.";
    }
    
    public Class getClassPratica() {
        return this.classPratica;
    }
}
