package br.ufsc.fcama.ig.tableModel;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

import javax.swing.table.AbstractTableModel;

import br.ufsc.fcama.logica.Iteracao;

public class TableModelArquivos extends AbstractTableModel {

    private String[] modelos;
    private ResourceBundle rb = PropertyResourceBundle.getBundle("br.ufsc.fcama.internacionalizacao.ProgramProperties");

    public TableModelArquivos(String[] modelos) {
        super();
        this.modelos = modelos;
    }


    public int getColumnCount() {
        return 1;
    }


    public int getRowCount() {
        return this.modelos.length;
    }

    public String getModelo(int row){
    	return   this.modelos[row];
    }
    
    public Object getValueAt(int rowIndex, int columnIndex) {
        switch (columnIndex){
          case 0: return   this.modelos[rowIndex];
        }

        return null;
    }



    public String getColumnName(int c){
        switch(c){
          case 0 : return this.rb.getString("tableModelArquivos.modelo");
        }
        return "";
    }



}
