package br.ufsc.fcama.logica.objAux;

import java.util.ArrayList;
import java.util.Iterator;

public class RequisitoAnexo extends Requisito {
	
	private ArrayList anexos;
	
	public RequisitoAnexo(){
		super();
		this.anexos = new ArrayList();
	}
	
	public ArrayList getAnexos() {
		return this.anexos;
	}

	public void setAnexos(ArrayList anexos) {
		this.anexos = anexos;
	}
	
	public void addAnexo(Anexo anexo){
		this.anexos.add(anexo);
	}
	
	public void removeAnexo(Anexo anexo){
		Iterator it = this.anexos.iterator();
		Anexo a = null;
		while (it.hasNext()){
			a = (Anexo) it.next();
			if (anexo.getNome().equals(a.getNome())){
				it.remove();
				return;
			}
		}
	}

}
