/*
 * Created on 23/08/2005
 *
 */
package br.ufsc.fcama.logica.pratica;

import java.util.PropertyResourceBundle;

import br.ufsc.fcama.exception.ExceptionExclusaoPraticaNaoPermitida;
import br.ufsc.fcama.exception.ExceptionInclusaoPraticaNaoPermitida;

/**
 * @author Thiago Leo Machado
 */
public class PraticaReunioesDiarias extends Pratica {

	public PraticaReunioesDiarias(){
		super();
		//como no tem dependncias do tipo obrigatria
		super.obrigatorias.put(PraticaReunioesDiarias.class, new Boolean(true));
		//como no tem dependncias do tipo outras
		super.outras.put(PraticaReunioesDiarias.class, PraticaReunioesDiarias.class);
	}

	/* (non-Javadoc)
	 * @see br.ufsc.fcama.atividade.Atividade#confereDependencia(java.lang.Class, java.lang.String)
	 */
	public void confereDependencia(Class classAtividade, String operacao) throws ExceptionInclusaoPraticaNaoPermitida, ExceptionExclusaoPraticaNaoPermitida {
		//no faz nada pq  no depende de nenhuma atividade
	}

        public String toString(){
        	return PropertyResourceBundle
    		.getBundle("br.ufsc.fcama.internacionalizacao.ProgramProperties")
    			.getString("br.ufsc.fcama.logica.pratica.ReuniaoDiarias");
       }

}
