/*
 * Created on 04/09/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 *
 ExceptionAtividadeNaoPertenceAEtapa.java*/
public class ExceptionAtividadeNaoPertenceAEtapa extends Exception {
	
	//	A atividade solicitada
    private Class classAtividade;
    //A etapa onde a atividade foi solicitada
    private Class classEtapa;
    
    public ExceptionAtividadeNaoPertenceAEtapa(Class classAtividade, Class classEtapa){
        super();
        this.classAtividade = classAtividade;
        this.classEtapa = classEtapa;
    }
    
    public String toString(){
        return "A atividade " + classAtividade.getName() + " no pertence a  etapa" + classEtapa.getName();
    }
    
    public Class getClassAtividade() {
        return this.classAtividade;
    }
    
    public Class getClassEtapa() {
		return classEtapa;
	}
}
