/*
 * Created on 24/08/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 */
public class ExceptionExclusaoAtividadeNaoPermitida extends Exception {
	
	//A atividade que no permitiu a excluso
    private Class classAtividade;
    
    public ExceptionExclusaoAtividadeNaoPermitida(Class classAtividade){
        super();
        this.classAtividade = classAtividade;
    }
    
    public String toString(){
        return "A atividade " + classAtividade.getName() + " permite a excluso da aividade";
    }
    
    public Class getClassAtividade() {
        return this.classAtividade;
    }

}
