/*
 * Created on 24/08/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 */
public class ExceptionExclusaoPraticaNaoPermitida extends Exception {
	
	//A atividade que no permitiu a excluso
    private Class classPratica;
    
    public ExceptionExclusaoPraticaNaoPermitida(Class classAtividade){
        super();
        this.classPratica = classAtividade;
    }
    
    public String toString(){
        return "A prtica " + classPratica.getName() + " permite a excluso da prtica";
    }
    
    public Class getClassPratica() {
        return this.classPratica;
    }

}
