/*
 * Created on 24/08/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 */
public class ExceptionInclusaoAtividadeNaoPermitida extends Exception {

	//A atividade que no permitiu a incluso
    private Class classAtividade;
    
    public ExceptionInclusaoAtividadeNaoPermitida(Class classAtividade){
        super();
        this.classAtividade = classAtividade;
    }
    
    public String toString(){
        return "A atividade " + classAtividade.getName() + " permite a incluso da aividade";
    }
    
    public Class getClassAtividade() {
        return this.classAtividade;
    }
}
