/*
 * Created on 04/09/2005
 *
 */
package br.ufsc.fcama.exception;

/**
 * @author Thiago Leo Machado
 *
 ExceptionAtividadeNaoPertenceAEtapa.java*/
public class ExceptionPraticaNaoPertenceAEtapa extends Exception {
	
	//	A atividade solicitada
    private Class classPratica;
    //A etapa onde a atividade foi solicitada
    private Class classAtividade;
    
    public ExceptionPraticaNaoPertenceAEtapa(Class classPratica, Class classAtividade){
        super();
        this.classPratica = classPratica;
        this.classAtividade = classAtividade;
    }
    
    public String toString(){
        return "A prtica " + classPratica.getName() + " no pertence a  etapa" + classAtividade.getName();
    }
    
    public Class getClassPratica() {
        return this.classPratica;
    }
    
    public Class getClassAtividade() {
		return classAtividade;
	}
}
