package br.ufsc.fcama.ig.wizard;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.SystemColor;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.UIManager;
import javax.swing.border.Border;

import br.ufsc.fcama.ig.FramePrincipal;

/**
 * <p>Title: FCAMA</p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author Thiago Leo Machado
 * @version 1.0
 */
public class Passo00 extends JPanel implements Passo {

	ResourceBundle rb = PropertyResourceBundle.getBundle("br.ufsc.fcama.internacionalizacao.ProgramProperties");
	private int anterior = -1;
    private int proximo = 1;
    private FramePrincipal frame;
    private WizardProjeto wizard;
    Border border1 = BorderFactory.createLineBorder(Color.white, 2);
    BorderLayout borderLayout1 = new BorderLayout();
    JPanel jPanelTitulo = new JPanel();
    JPanel jPanel1 = new JPanel();
    JLabel jLabel1 = new JLabel();
    JTextArea jTextArea1 = new JTextArea();
    JTextArea jTextArea2 = new JTextArea();
    JLabel jLabel2 = new JLabel();
    JLabel jLabel3 = new JLabel();
    JLabel jLabel4 = new JLabel();
    JLabel jLabel5 = new JLabel();
    JLabel jLabel6 = new JLabel();
    JLabel jLabel7 = new JLabel();
    JLabel jLabel8 = new JLabel();
    JLabel jLabel9 = new JLabel();
    GridBagLayout gridBagLayout1 = new GridBagLayout();
    public Passo00(FramePrincipal frame, WizardProjeto wizard) {
        try {
            this.frame = frame;
            this.wizard = wizard;
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
    
    public void setValores(){
    	
    }
    
    public void desabilitaHabilitaBotoesWizard() {
        this.wizard.jButtonAntorior.setEnabled(false);
        this.wizard.jButtonProximo.setEnabled(true);
        if (this.wizard.getProjeto().isRequisitosProjetoCompleto()){
        	this.wizard.Concluir.setEnabled(true);
        }else{
        	this.wizard.Concluir.setEnabled(false);
        }
        this.wizard.jButtonCancelar.setEnabled(true);
    }

    public void setAnterior(int anterior) {
        this.anterior = anterior;
    }

    public int getAnterior() {
        return this.anterior;
    }

    public void setProximo(int proximo) {
        this.proximo = proximo;
    }

    public int getProximo() {
        return this.proximo;
    }


    private void jbInit() throws Exception {
        this.setBackground(UIManager.getColor("control"));
        this.setBorder(border1);
        this.setPreferredSize(new Dimension(500, 400));
        this.setLayout(borderLayout1);
        jPanelTitulo.setBackground(Color.white);
        jLabel1.setFont(new java.awt.Font("Arial Black", Font.PLAIN, 16));
        jLabel1.setText(this.rb.getString("passo00.texto11"));
        jPanel1.setLayout(gridBagLayout1);
        jTextArea1.setBackground(SystemColor.control);
        jTextArea1.setFont(new java.awt.Font("Arial Black", Font.PLAIN, 12));
        jTextArea1.setRequestFocusEnabled(false);
        jTextArea1.setToolTipText("");
        jTextArea1.setEditable(false);
        jTextArea1.setText(this.rb.getString("passo00.texto1"));
        jTextArea1.setLineWrap(true);
        jTextArea2.setBackground(SystemColor.control);
        jTextArea2.setFont(new java.awt.Font("Arial Black", Font.PLAIN, 12));
        jTextArea2.setRequestFocusEnabled(false);
        jTextArea2.setToolTipText("");
        jTextArea2.setEditable(false);
        jTextArea2.setText(this.rb.getString("passo00.texto2"));
        jTextArea2.setLineWrap(true);
        jLabel2.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel2.setToolTipText("");
        jLabel2.setText(this.rb.getString("passo00.texto3"));
        jLabel3.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel3.setToolTipText("");
        jLabel3.setText(this.rb.getString("passo00.texto4"));
        jLabel4.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel4.setToolTipText("");
        jLabel4.setText(this.rb.getString("passo00.texto5"));
        jLabel5.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel5.setToolTipText("");
        jLabel5.setText(this.rb.getString("passo00.texto6"));
        jLabel6.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel6.setToolTipText("");
        jLabel6.setText(this.rb.getString("passo00.texto7"));
        jLabel7.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel7.setToolTipText("");
        jLabel7.setText(this.rb.getString("passo00.texto8"));
        jLabel8.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel8.setToolTipText("");
        jLabel8.setText(this.rb.getString("passo00.texto9"));
        jLabel9.setFont(new java.awt.Font("Arial Black", Font.ITALIC, 12));
        jLabel9.setText(this.rb.getString("passo00.texto10"));
        this.add(jPanelTitulo, java.awt.BorderLayout.NORTH);
        jPanelTitulo.add(jLabel1);
        this.add(jPanel1, java.awt.BorderLayout.CENTER);
        jPanel1.add(jTextArea2, new GridBagConstraints(0, 9, 1, 1, 1.0, 1.0
                , GridBagConstraints.CENTER, GridBagConstraints.BOTH,
                new Insets(13, 19, 24, 20), 0, 10));
        jPanel1.add(jTextArea1, new GridBagConstraints(0, 0, 1, 1, 1.0, 1.0
                , GridBagConstraints.CENTER, GridBagConstraints.BOTH,
                new Insets(14, 19, 0, 20), 0, 10));
        jPanel1.add(jLabel2, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(0, 121, 0, 184), 0, 0));
        jPanel1.add(jLabel9, new GridBagConstraints(0, 8, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(10, 121, 0, 262), 0, 0));
        jPanel1.add(jLabel8, new GridBagConstraints(0, 7, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(13, 121, 0, 246), 0, 0));
        jPanel1.add(jLabel7, new GridBagConstraints(0, 6, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(12, 121, 0, 199), 0, 0));
        jPanel1.add(jLabel6, new GridBagConstraints(0, 5, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(12, 121, 0, 224), 0, 0));
        jPanel1.add(jLabel5, new GridBagConstraints(0, 4, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(9, 121, 0, 114), 0, 0));
        jPanel1.add(jLabel4, new GridBagConstraints(0, 3, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(11, 121, 0, 225), 0, 0));
        jPanel1.add(jLabel3, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
                , GridBagConstraints.WEST, GridBagConstraints.NONE,
                new Insets(10, 121, 0, 183), 0, 0));
    }






}
