/*
 * Created on 23/08/2005
 *
 */
package br.ufsc.fcama.logica.pratica;

import java.util.PropertyResourceBundle;

import br.ufsc.fcama.exception.ExceptionExclusaoPraticaNaoPermitida;
import br.ufsc.fcama.exception.ExceptionInclusaoPraticaNaoPermitida;

/**
 * @author Thiago Leo Machado
 */
public class PraticaControleDeVersoes extends Pratica {

	public PraticaControleDeVersoes(){
		super();
		//como no tem dependncia do tipo obrigatrias
		super.obrigatorias.put(PraticaControleDeVersoes.class, new Boolean(true));
		//como no tem dependncia do tipo outras
		super.outras.put(PraticaControleDeVersoes.class, PraticaControleDeVersoes.class);
	}

	/* (non-Javadoc)
	 * @see br.ufsc.fcama.atividade.Atividade#confereDependencia(java.lang.Class, java.lang.String)
	 */
	public void confereDependencia(Class classAtividade, String operacao) throws ExceptionInclusaoPraticaNaoPermitida, ExceptionExclusaoPraticaNaoPermitida {
		//no faz nada pq no depende de outras atividades
	}

        public String toString(){
        	return PropertyResourceBundle
    		.getBundle("br.ufsc.fcama.internacionalizacao.ProgramProperties")
    			.getString("br.ufsc.fcama.logica.pratica.ControleDeVersoes");
       }

}
